Package net.snowflake.client.jdbc

## Interface SnowflakePreparedStatement

    public interface SnowflakePreparedStatement

### Method Summary

All Methods Instance Methods Abstract Methods
`ResultSet` `executeAsyncQuery()` Execute a query asynchronously
`String` `getQueryID()`
`void` `setBigInteger​(int parameterIndex, BigInteger x)` Sets the designated parameter to the given BigInteger value.

### Method Detail

#### getQueryID

    String getQueryID()
               throws SQLException

Returns:
  the Snowflake query ID of the latest executed query
Throws:
  `SQLException`

#### executeAsyncQuery

    ResultSet executeAsyncQuery()
                         throws SQLException

Execute a query asynchronously

Returns:
  ResultSet containing results
Throws:
  `SQLException`

#### setBigInteger

    void setBigInteger​(int parameterIndex,
                       BigInteger x)
                throws SQLException

Sets the designated parameter to the given BigInteger value.

Parameters:
  `parameterIndex` -
  `x` -
Throws:
  `SQLException`